Subject: RE: NLRA
From: George Keck <[email-masked]>
To: Michael B <[email-masked]>
Date: Wed, 26 Sep 2012 13:10:14 +0000

Hi Mike I will rush them as fast as I can. Thanks George

From: Michael B [mailto:[email-masked]]
Sent: Tuesday, September 25, 2012 4:39 PM
To: George Keck
Subject: NLRA

George,
The file for the NLRA posters that Ryan sent over is a new poster (2013) but we do need a bit of a rush on it.  We had quite a few on the shelves but no one caught that we were burning through them.  I appreciate you helping us in getting these pushed through.
Thank you,
Michael B
LLPS